aboutsummaryrefslogtreecommitdiffstats
path: root/main/gobject-introspection/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-08 19:40:54 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-09 06:22:56 +0000
commitc73ab454bdcbd9cc9bb1e611209016b418ecbeac (patch)
tree7dd884edbb0864da8aca8056ce935f89af2f8fc1 /main/gobject-introspection/APKBUILD
parent94e9b1305b2c4bd2b45db58cb86fad0fb7ca05c3 (diff)
downloadaports-c73ab454bdcbd9cc9bb1e611209016b418ecbeac.tar.gz
aports-c73ab454bdcbd9cc9bb1e611209016b418ecbeac.tar.bz2
aports-c73ab454bdcbd9cc9bb1e611209016b418ecbeac.tar.xz
main/gobject-introspection: rearrange
we use a -dev subpackage for development like we do for others. The gobject-introspection is now the runtime only. This should also fix issue with py-gobject pulling in -dev packages.
Diffstat (limited to 'main/gobject-introspection/APKBUILD')
-rw-r--r--main/gobject-introspection/APKBUILD28
1 files changed, 16 insertions, 12 deletions
diff --git a/main/gobject-introspection/APKBUILD b/main/gobject-introspection/APKBUILD
index fae880e077..4c4580475d 100644
--- a/main/gobject-introspection/APKBUILD
+++ b/main/gobject-introspection/APKBUILD
@@ -1,17 +1,19 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gobject-introspection
pkgver=0.10.8
-pkgrel=0
+pkgrel=1
pkgdesc="Introspection system for GObject-based libraries"
url="http://live.gnome.org/GObjectInstrospection"
arch="all"
license="LGPL GPL"
-makedepends="flex bison glib-dev libffi-dev python-dev libtool"
-depends="python glib-dev libffi-dev cairo-dev"
+depends_dev="python glib-dev libffi-dev cairo-dev"
+makedepends="$depends_dev flex bison python-dev libtool"
+depends=
+replaces="libgirepository"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.bz2"
# since this is a dev package by definition we dont bother separate -dev
-subpackages="$pkgname-doc libgirepository"
+subpackages="$pkgname-doc $pkgname-dev"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
@@ -28,22 +30,24 @@ prepare() {
build() {
cd "$_builddir"
-# export CPPFLAGS=
./configure --prefix=/usr --disable-static || return 1
- # FIXME: parallel builds is broken
- make -j1 || return 1
+ make || return 1
}
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" -name '*.la' -delete
}
-libgirepository() {
- pkgdesc="Runtime library for gobject-introspection"
- cd "$_builddir"
- install -d "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/libgirepository*.so* "$subpkgdir"/usr/lib/
+dev() {
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/share "$subpkgdir"/usr/ || return 1
+ mv "$pkgdir"/usr/lib/gobject-introspection "$subpkgdir"/usr/lib/ \
+ || return 1
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr/ || return 1
+ default_dev
+ replaces="gobject-introspection"
}
md5sums="b5da58a5327d13b4d1e08b8e42b2456d gobject-introspection-0.10.8.tar.bz2"